Skip to main content
GET
/
v3
/
metadata
/
external_account_details
Fetch External Account Details
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/metadata/external_account_details \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "message": "",
  "data": {
    "accounts": [
      {
        "bank": {
          "account_number": "361023",
          "account_type": "checking",
          "account_holder_name": "muskan",
          "bank_codes": {
            "bank_code": "237",
            "branch_code": "345"
          },
          "bank_name": "BCO BRADESCO S.A.",
          "currency": "BRL"
        },
        "type": "bank"
      }
    ],
    "country": "BR",
    "object": "external_account_details",
    "tax_id": "03655157363"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

country
string
required

ISO 3166 standard alpha-2 code. eg: SG, IN, US, etc.

tax_id
string
required

Tax ID the account is linked to

Response

200 - application/json

200

status
string

Indicates whether the request to retrieve external account details was successful.

message
string

Additional message providing context about the response.

data
object

Contains details about the linked external accounts and their associated information.